#
# spec file for package perl-BSD-Resource (Version 1.2901)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-BSD-Resource
Version:        1.2901
Release:        41.4
Requires:       perl = %{perl_version}
AutoReqProv:    on
Group:          Development/Libraries/Perl
License:        Artistic License
Url:            http://cpan.org/modules/by-module/BSD
Summary:        BSD::Resource Perl Module
Source:         BSD-Resource-%{version}.tar.bz2
Patch:          %{name}-%{version}-getrlimit.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
BSD::Resource is a class implementing access to process resource limit
and priority functions (e.g. getrusage, setrlimit, etc).



Authors:
--------
    Jarkko Hietaniemi <jhi@iki.fi>

%prep
%setup -q -n BSD-Resource-%{version}
%patch

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make

%check
%ifnarch %arm
make test
%endif

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%doc %{_mandir}/man?/*
%{perl_vendorarch}/auto/BSD
%{perl_vendorarch}/BSD
/var/adm/perl-modules/%{name}

%changelog
* Tue Nov 25 2008 anicka@suse.cz
- getrlimit: return object in scalar context  according to
  the documentation (bnc#446693)
* Mon Mar  3 2008 anicka@suse.cz
- update to 1.2901
  * Rewrite the setrlimit.t test.
  * Allow calling getrlimit/setrlimit and getpriority/setpriority
    with the string names ("RLIMIT_NPROC", for example).
  * Include ppport.h (generated with perl 5.8.8), reshuffle
    system header includes appropriately.
- drop setrlimit.t patch
* Sun Jan 13 2008 coolo@suse.de
- take a patch from fedora to make it build
* Fri Oct 27 2006 dmueller@suse.de
- don't build as root
* Wed Jul 12 2006 anicka@suse.cz
- update to 1.28
  * many bugfixes added
- remove unneccessary test patch
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 15 2005 uli@suse.de
- no test on ARM (unimplemented calls in QEMU)
* Fri Aug 13 2004 mjancar@suse.cz
- update to 1.24
* Thu Feb 26 2004 mjancar@suse.cz
- update to 1.23
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Aug  7 2003 mjancar@suse.cz
- fix test that assumed that it runs with nice 0
* Wed Aug  6 2003 mludvig@suse.cz
- package creation
